FsmkCampWebsite::Application.routes.draw do

  devise_for :admin_users, ActiveAdmin::Devise.config
  ActiveAdmin.routes(self)
  get "/sitemap.:format", controller: "post", action: "sitemap"
  # The priority is based upon order of creation: first created -> highest priority.
  # See how all your routes lay out with "rake routes".

  resources :post, only:[:index]
  resources :contact, only:[:new, :create]
  resources :users, only:[:index, :new]
  resources :articles, only:[:index, :show]
  resources :volunteers, only:[:new, :index]
  resources :feedbacks, only:[:new, :create]

  get '/feedback' => 'feedbacks#new'
  get '/volunteers_reg' => 'volunteers#new'
  get '/register' => 'users#new'
  get '/about' => 'post#about'
  get '/contact_us' => 'contact#new'
  get '/faq' => 'post#faq'
  get '/schedule' => 'post#schedule'
  get '/speakers' => 'post#speakers'
  get '/technologies' => 'post#technologies'
  get '/sponsors' => 'post#sponsors'
  get '/gallery' => 'post#gallery'
  get '/venue' => 'post#venue'
  get '/scholarship' => 'post#scholarship'
  get '/events' => 'post#events'
  root 'post#index'
  # Example of regular route:
  #   get 'products/:id' => 'catalog#view'

  # Example of named route that can be invoked with purchase_url(id: product.id)
  #   get 'products/:id/purchase' => 'catalog#purchase', as: :purchase

  # Example resource route (maps HTTP verbs to controller actions automatically):
  #   resources :products

  # Example resource route with options:
  #   resources :products do
  #     member do
  #       get 'short'
  #       post 'toggle'
  #     end
  #
  #     collection do
  #       get 'sold'
  #     end
  #   end

  # Example resource route with sub-resources:
  #   resources :products do
  #     resources :comments, :sales
  #     resource :seller
  #   end

  # Example resource route with more complex sub-resources:
  #   resources :products do
  #     resources :comments
  #     resources :sales do
  #       get 'recent', on: :collection
  #     end
  #   end

  # Example resource route with concerns:
  #   concern :toggleable do
  #     post 'toggle'
  #   end
  #   resources :posts, concerns: :toggleable
  #   resources :photos, concerns: :toggleable

  # Example resource route within a namespace:
  #   namespace :admin do
  #     # Directs /admin/products/* to Admin::ProductsController
  #     # (app/controllers/admin/products_controller.rb)
  #     resources :products
  #   end
end
